Bug 135898

Summary: REGRESSION (r172326): Dashed/dotted borders do not paint.
Product: WebKit Reporter: Joseph Pecoraro <joepeck>
Component: Web InspectorAssignee: zalan <zalan>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, ddkilzer, esprehn+autocc, glenn, graouts, joepeck, kondapallykalyan, timothy, webkit-bug-importer, zalan
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 135686    
Bug Blocks:    
Attachments:
Description Flags
[TEST] Reduction
none
Patch
none
Patch none

Description Joseph Pecoraro 2014-08-13 13:09:19 PDT
* SUMMARY
Metrics pane is missing dashed borders.

Caused by:
<http://trac.webkit.org/changeset/172326>

* STEPS TO REPRODUCE
1. Inspect apple.com
2. Select <body> in DOM tree
3. Select Styles detail navigator in right sidebar
4. Select Metrics tab in Styles detail navigator
  => missing dashed borders (around the entire edge and between border and padding)

* NOTES
- devicePixelRatio = 1 on this machine
Comment 1 Radar WebKit Bug Importer 2014-08-13 13:09:28 PDT
<rdar://problem/18009437>
Comment 2 Joseph Pecoraro 2014-08-14 13:18:53 PDT
Created attachment 236613 [details]
[TEST] Reduction

Here is a simple reduction= showing the issue.
Comment 3 zalan 2014-08-19 13:52:15 PDT
Created attachment 236822 [details]
Patch
Comment 4 Simon Fraser (smfr) 2014-08-19 13:56:22 PDT
Comment on attachment 236822 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=236822&action=review

> LayoutTests/fast/borders/border-painting-dashed-at-all-expected.html:19
> +  for (i = 1; i < 10; ++i) {

var i
Comment 5 zalan 2014-08-20 06:56:28 PDT
Created attachment 236869 [details]
Patch
Comment 6 WebKit Commit Bot 2014-08-20 07:45:11 PDT
Comment on attachment 236869 [details]
Patch

Clearing flags on attachment: 236869

Committed r172797: <http://trac.webkit.org/changeset/172797>
Comment 7 WebKit Commit Bot 2014-08-20 07:45:14 PDT
All reviewed patches have been landed.  Closing bug.